<center>
    <div class="col-3 mb-4">
        <br>
        <?php
        if ($typeU != 'comptable') {
            echo '<h3>Gérer mes fiches de frais</h3>';
        } else { ?>

            <form action="index.php?direction=gestionFiche" method="POST">

                <h3>Gérer les fiches de frais de :</h3>
                <select class="form-select" name="selVisiteur" id="">
                <?php 
                foreach ($LesUtilisateurs as $key => $value) {
                    $id = $value['uId'];
                    $prenom = $value['uPrenom'];
                    $nom = $value['uNom'];

                    if ($id == $userId) {
                        echo '<option value="' . $id . '" selected>' . $nom . " " . $prenom . "</option>";
                    } else {
                        echo '<option value="' . $id . '">' . $nom . " " . $prenom . "</option>";
                    }
                }
                echo '</select>'; ?>
                <button type="submit" class="btn btn-dark m-2">Selectionner</button>
                <!-- Fin du formulaire -->
            <?php } ?>

    </div>

</center>

<div class="col-11 d-flex mx-auto">
    <table class="table table-striped">
        <thead>
            <tr>
                <th scope="col">Mois</th>
                <th scope="col">Total</th>
                <th scope="col">Statut</th>
                <th scope="col">Détails</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($lesFiches as $uneFiche): ?>
                <tr>
                    <th scope="row">
                        <?= $gestionFiche->dateComplete($uneFiche['rMois']) ?>
                    </th>
                    <td>
                        <?= $uneFiche['rMontantValide'] ?> €
                    </td>
                    <td>
                        <?= $uneFiche['eLibelle'] ?>
                    </td>
                    <td><a
                            href="index.php?direction=nouvelleFiche&userId=<?= $userId ?>&dateListing=<?= $uneFiche['rMois'] ?>">voir</a>
                    </td>
                </tr>
            <?php endforeach ?>
        </tbody>
    </table>
</div>

<!-- 
    PAGINATION:
-->

<?php if ($pages > 1): ?>
    <div class="col-4 d-flex mx-auto">
        <nav>
            <ul class="pagination">
                <!-- Lien vers la page précédente (désactivé si on se trouve sur la 1ère page) -->
                <li class="page-item <?= ($currentPage == 1) ? "disabled" : "" ?>">
                    <a href="index.php?direction=gestionFiche&page=<?= $currentPage - 1 ?>&selVisiteur=<?= $userId ?>"
                        class="page-link">Précédente</a>
                </li>
                <?php for ($page = 1; $page <= $pages; $page++): ?>
                    <!-- Lien vers chacune des pages (activé si on se trouve sur la page correspondante) -->
                    <li class="page-item <?= ($currentPage == $page) ? "active" : "" ?>">
                        <a href="index.php?direction=gestionFiche&page=<?= $page ?>&selVisiteur=<?= $userId ?>"
                            class="page-link">
                            <?= $page ?>
                        </a>
                    </li>
                <?php endfor ?>
                <!-- Lien vers la page suivante (désactivé si on se trouve sur la dernière page) -->
                <li class="page-item <?= ($currentPage == $pages) ? "disabled" : "" ?>">
                    <a href="index.php?direction=gestionFiche&page=<?= $currentPage + 1 ?>&selVisiteur=<?= $userId ?>"
                        class="page-link">Suivante</a>
                </li>
            </ul>
        </nav>
    </div>
<?php endif ?>
